Browse Source

remove old APT_COMPATIBILITY ifdef's

debian/1.8.y
David Kalnischkies 11 years ago
parent
commit
1bc6873583
  1. 1
      apt-pkg/deb/debversion.cc
  2. 28
      apt-pkg/deb/debversion.h
  3. 11
      apt-pkg/init.h
  4. 1
      apt-pkg/pkgcachegen.cc
  5. 14
      apt-pkg/pkgcachegen.h
  6. 4
      apt-pkg/version.h
  7. 3
      debian/changelog

1
apt-pkg/deb/debversion.cc

@ -10,7 +10,6 @@
##################################################################### */
/*}}}*/
// Include Files /*{{{*/
#define APT_COMPATIBILITY 986
#include <config.h>
#include <apt-pkg/debversion.h>

28
apt-pkg/deb/debversion.h

@ -39,32 +39,4 @@ class debVersioningSystem : public pkgVersioningSystem
extern debVersioningSystem debVS;
#ifdef APT_COMPATIBILITY
#if APT_COMPATIBILITY != 986
#warning "Using APT_COMPATIBILITY"
#endif
inline int pkgVersionCompare(const char *A, const char *B)
{
return debVS.CmpVersion(A,B);
}
inline int pkgVersionCompare(const char *A, const char *AEnd,
const char *B, const char *BEnd)
{
return debVS.DoCmpVersion(A,AEnd,B,BEnd);
}
inline int pkgVersionCompare(std::string A,std::string B)
{
return debVS.CmpVersion(A,B);
}
inline bool pkgCheckDep(const char *DepVer,const char *PkgVer,int Op)
{
return debVS.CheckDep(PkgVer,Op,DepVer);
}
inline std::string pkgBaseVersion(const char *Ver)
{
return debVS.UpstreamVersion(Ver);
}
#endif
#endif

11
apt-pkg/init.h

@ -31,15 +31,4 @@ extern const char *pkgLibVersion;
bool pkgInitConfig(Configuration &Cnf);
bool pkgInitSystem(Configuration &Cnf,pkgSystem *&Sys);
#ifdef APT_COMPATIBILITY
#if APT_COMPATIBILITY != 986
#warning "Using APT_COMPATIBILITY"
#endif
inline bool pkgInitialize(Configuration &Cnf)
{
return pkgInitConfig(Cnf) && pkgInitSystem(Cnf,_system);
};
#endif
#endif

1
apt-pkg/pkgcachegen.cc

@ -10,7 +10,6 @@
##################################################################### */
/*}}}*/
// Include Files /*{{{*/
#define APT_COMPATIBILITY 986
#include <config.h>
#include <apt-pkg/pkgcachegen.h>

14
apt-pkg/pkgcachegen.h

@ -164,18 +164,4 @@ bool pkgMakeStatusCache(pkgSourceList &List,OpProgress &Progress,
MMap **OutMap = 0,bool AllowMem = false);
bool pkgMakeOnlyStatusCache(OpProgress &Progress,DynamicMMap **OutMap);
#ifdef APT_COMPATIBILITY
#if APT_COMPATIBILITY != 986
#warning "Using APT_COMPATIBILITY"
#endif
MMap *pkgMakeStatusCacheMem(pkgSourceList &List,OpProgress &Progress)
{
MMap *Map = 0;
if (pkgCacheGenerator::MakeStatusCache(List,&Progress,&Map,true) == false)
return 0;
return Map;
}
#endif
#endif

4
apt-pkg/version.h

@ -54,8 +54,4 @@ class pkgVersioningSystem
virtual ~pkgVersioningSystem() {};
};
#ifdef APT_COMPATIBILITY
#include <apt-pkg/debversion.h>
#endif
#endif

3
debian/changelog

@ -3,8 +3,9 @@ apt (0.8.16~exp7) experimental; urgency=low
[ David Kalnischkies ]
* do not pollute namespace in the headers with using (Closes: #500198)
* use forward declaration in headers if possible instead of includes
* remove old APT_COMPATIBILITY ifdef's
-- David Kalnischkies <kalnischkies@gmail.com> Mon, 19 Sep 2011 19:13:48 +0200
-- David Kalnischkies <kalnischkies@gmail.com> Mon, 19 Sep 2011 19:24:20 +0200
apt (0.8.16~exp6) experimental; urgency=low

Loading…
Cancel
Save